View Issue Details

IDProjectCategoryView StatusLast Update
0000005Bacula-Webfeaturepublic2017-09-10 20:58
ReporterdavideAssigned Todavide 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0.3 
Target Version8.0.0-rc1Fixed in Version8.0.0-rc1 
Summary0000005: Volumes sort order
DescriptionReported by Thomy

Hi,

i have label my volumes like this "Month1, Month2,...Month10,Month12"

So i see on the bacula-web this order:
Month1
Month10
Month11
Month12
Month2
Month3
...

Is it possible to fix this order?

At the moment i have changed the line 99 in classes.inc to order by Media.MediaId.
Maybe you know a better way to fix this order problem?

Regards,
Thomas
TagsNo tags attached.

Activities

davide

2017-05-31 17:08

manager   ~0000594

I'm going to add an <Order by> option to the volumes list

Order by:
 - Volume name
 - Volume id
 - Used bytes
 - etc.

davide

2017-09-10 20:58

manager   ~0000638

Feature added to 8.0.0-RC1

Issue History

Date Modified Username Field Change
2010-09-06 21:35 davide New Issue
2010-09-06 21:35 davide Status new => assigned
2010-09-06 21:35 davide Assigned To => davide
2011-07-21 23:52 davide Product Version => 5.0.3
2011-07-21 23:52 davide Target Version => 5.1.0 - beta
2011-11-06 12:55 davide Target Version 5.1.0 - beta => 5.2.2
2012-01-27 11:12 davide Target Version 5.2.2 =>
2013-11-11 11:15 davide Category design => feature
2017-05-31 17:08 davide Target Version => 8.0.0-rc1
2017-05-31 17:08 davide Note Added: 0000594
2017-09-10 20:58 davide Status assigned => resolved
2017-09-10 20:58 davide Resolution open => fixed
2017-09-10 20:58 davide Fixed in Version => 8.0.0-rc1
2017-09-10 20:58 davide Note Added: 0000638